> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List organization translation files

GET https://api.sigmacomputing.com/v2/translations/organization

This paginated endpoint lists all the translation files that have been defined at the organization level.

### Usage notes
This endpoint requires no parameters for basic requests but supports query parameters for pagination and response limit.

#### Pagination

This endpoint supports pagination, which lets you retrieve large sets of data in manageable segments. The response includes pagination details as follows:

- hasMore: A boolean value indicating whether there are more pages of data available beyond the current page.
- total: The total number of entries available across all pages.
- nextPage: An identifier or token that you can use in a subsequent request to retrieve the next page of data.

#### Example response for pagination
{
  "hasMore": true,
  "total": 104,
  "nextPage": "50"
}

To request additional pages, include the `nextPage` option in your followup request according to the endpoint's parameter requirements. This process can be repeated until `nextPage` is `null`.
    

Reference: https://help.sigmacomputing.com/reference/list-org-locales

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/translations/organization:
    get:
      operationId: listOrgLocales
      summary: List organization translation files
      description: >-
        This paginated endpoint lists all the translation files that have been
        defined at the organization level.


        ### Usage notes

        This endpoint requires no parameters for basic requests but supports
        query parameters for pagination and response limit.


        #### Pagination


        This endpoint supports pagination, which lets you retrieve large sets of
        data in manageable segments. The response includes pagination details as
        follows:


        - hasMore: A boolean value indicating whether there are more pages of
        data available beyond the current page.

        - total: The total number of entries available across all pages.

        - nextPage: An identifier or token that you can use in a subsequent
        request to retrieve the next page of data.


        #### Example response for pagination

        {
          "hasMore": true,
          "total": 104,
          "nextPage": "50"
        }


        To request additional pages, include the `nextPage` option in your
        followup request according to the endpoint's parameter requirements.
        This process can be repeated until `nextPage` is `null`.
            
      tags:
        - Translations
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: string
        - name: limit
          in: query
          required: false
          schema:
            type: number
            format: double
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/translations_listOrgLocales_Response_200'
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2TranslationsOrganizationGetResponsesContentApplicationJsonSchemaEntriesItems:
      type: object
      properties:
        lng:
          type: string
          description: >-
            The locale identifier corresponding to the language of the
            translation.
        locale:
          type: string
          description: >-
            The corrected locale identifier corresponding to the language of the
            translation. This identifier can be used in Sigma's query parameters
            (ex. `:lng=en-gb`)
        lng_variant:
          type:
            - string
            - 'null'
          description: The name of the custom translation variant, if applicable
        createdBy:
          type: string
          description: The user ID of the creator
        updatedBy:
          type: string
          description: The user ID of the last updater
        createdAt:
          type: string
          format: date-time
          description: The creation timestamp
        updatedAt:
          type: string
          format: date-time
          description: The last update timestamp
      required:
        - lng
        - locale
        - lng_variant
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: >-
        V2TranslationsOrganizationGetResponsesContentApplicationJsonSchemaEntriesItems
    translations_listOrgLocales_Response_200:
      type: object
      properties:
        entries:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2TranslationsOrganizationGetResponsesContentApplicationJsonSchemaEntriesItems
          description: Array of results returned by the endpoint
        nextPage:
          type:
            - string
            - 'null'
          description: >-
            Returns a string that can be used as the `page` parameter in the
            next request to fetch the next page of results. The last page of
            results returns `null`.
        total:
          type: number
          format: double
          description: >-
            Total number of results. Useful to determine if there is a need to
            paginate.
        hasMore:
          type: boolean
          description: '**[Deprecated]** Indicates whether more results are available.'
      required:
        - entries
        - nextPage
      title: translations_listOrgLocales_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "entries": [
    {
      "lng": "fr",
      "locale": "fr-fr",
      "lng_variant": null,
      "createdBy": "user_987654321",
      "updatedBy": "user_123456789",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-04-10T14:45:00Z"
    }
  ],
  "nextPage": "2",
  "total": 25,
  "hasMore": true
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/translations/organization"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/translations/organization';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/translations/organization"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/translations/organization")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/translations/organization")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/translations/organization', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/translations/organization");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/translations/organization")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```